POST

/api/v1/bots/grid/:id/note

Permission: BOTS_WRITESecurity: SIGNED

Adds or updates an internal user note on an existing Grid Bot entity using its ID.

If successful, the response includes an updated copy of the Grid Bot entity.
Grid Bot Entity

Path Parameters

idinteger required

Unique Quentrade ID for this Grid Bot entity. Example: 2345678

Body Parameters

notestring required

Short descriptive note for this Grid Bot.

minlength: 1maxlength: 300

Example Request

set_a_note_to_grid_bot_request.json
POST /api/v1/bots/grid/:id/note
{
  "note": "Welcome to Quentrade"
}

Example Responses

If successful, returns HTTP 201 with the updated Grid Bot entity containing the new note.

set_a_note_to_grid_bot_201.json
201 Created
{
  "id": 2345678,
  "account_id": 12345678,
  "account_name": "My Gate.io",
  "is_enabled": true,
  "grids_quantity": "81",
  "created_at": "2024-10-07T19:25:19.985Z",
  "updated_at": "2024-10-09T14:13:39.557Z",
  "strategy_type": "manual",
  "upper_stop_loss_enabled": false,
  "lower_stop_loss_enabled": false,
  "note": "Welcome to my Quentrade",
  "editable": true,
  "lower_price": "0.10666",
  "lower_stop_loss_price": null,
  "lower_stop_loss_action": "stop_bot",
  "upper_price": "0.14684",
  "upper_stop_loss_price": null,
  "upper_stop_loss_action": "stop_bot",
  "quantity_per_grid": "1.525",
  "leverage_type": "cross",
  "leverage_custom_value": "2.0",
  "name": "DOGE_USDT/USDT",
  "pair": "USDT_DOGE_USDT",
  "start_price": "0.11039",
  "grid_price_step": "1.00400421244009637656317025927833165569247348802034686",
  "current_profit": "0.0525794080425",
  "current_profit_usd": "0.0525794080425",
  "total_profits_count": "11",
  "bought_volume": "0.0",
  "sold_volume": "0.0",
  "profit_percentage": "0.0432471845769986214701905266378677861600871",
  "current_price": "0.10845",
  "max_active_buy_lines": "81",
  "max_active_sell_lines": "81",
  "order_currency_type": "quote",
  "profit_currency_type": "quote",
  "trailing_up_enabled": "false",
  "grid_type": "geometric",
  "investment_base_currency": "187.866461151707395146189982951",
  "investment_quote_currency": "6.1",
  "unrealized_profit_loss": "0.05167074832",
  "current_profit_loss": "0.1042501563625",
  "current_profit_loss_percent": "0.0857469857923420859557751844894011126939894",
  "orderbook_price_currency": "USDT",
  "expansion_down_enabled": "false",
  "expansion_down_stop_price": null,
  "grid_lines": [
    {
      "id": 256570088,
      "price": "0.10972",
      "side": "sell",
      "order_placed": false
    },
    {
      "id": 256563805,
      "price": "0.11283",
      "side": "sell",
      "order_placed": true
    }
  ],
  "mode": "long"
}